Subject: RE: Cron Running As UID 400
From: "Winch Jr., Wayne S" <[email-masked]>
To: <[email-masked]>
Cc: "Harig, Mark" <[email-masked]>
Date: Wed, 25 Feb 2004 12:41:20 -0500

Mark,

Thanks for your quick reply.  I'm sorry that I had neglected to mention
that I had already run the cron_diagnose.sh script and it reported that
no problems were found; I ran it again just now as a sanity check and
still no problems found.  I did try uninstalling/reinstalling the cron
service as suggested by cron_diagnose.sh (several times with
variations), but cron still does not kick jobs off as expected.

My test crontab is as follows:

$ crontab -l
# DO NOT EDIT THIS FILE - edit the master and reinstall.
# (/tmp/crontab.3604 installed on Tue Feb 24 12:15:13 2004)
# (Cron version -- $Id: crontab.c,v 1.7 2003/04/15 15:13:41 corinna Exp
$)
0 0-23/4 * * * /usr/bin/updatedb
* * * * * pwd > /tmp/crontest 

Also, I was able to get cron running properly on my home system (Windows
XP Pro).  In that setup, I once again noticed that cron and its parent
cygrunsrv processes are identified as running under SYSTEM vice unknown
user 400 as on my office system that doesn't work.

Regards,

Wayne

-----Original Message-----
From: Harig, Mark [mailto:[email-masked]] 
Sent: Wednesday, February 25, 2004 7:56 AM
To: Winch Jr., Wayne S; [email-masked]
Subject: RE: Cron Running As UID 400

Please read the message in the Cygwin mailing list at:

http://sources.redhat.com/ml/cygwin/2003-12/msg00711.html

It will provide you with a script that will attempt to diagnose the
problem that you are having with cron.

> -----Original Message-----
> From: Winch Jr., Wayne S [mailto:[email-masked]]
> Sent: Tuesday, February 24, 2004 4:06 PM
> To: [email-masked]
> Subject: Cron Running As UID 400
> 
> 
> Hi,
> 
> I've been through a couple of problems already with cron and have 
> resolved all of them (thanks to this list!) except this last one.  The

> cron service is indeed running, but no jobs are ever run as described 
> in the crontab.  A strange thing I've noted is that the user that the 
> cron service is running under is not the expected SYSTEM but the 
> unknown 400
> as:
> 
> $ ps -ef
>      UID     PID    PPID TTY     STIME COMMAND
>  winwa02     904       1   ?    Feb 23 /usr/X11R6/bin/XWin
>   SYSTEM    3912       1   ?    Feb 23 /usr/bin/cygrunsrv
>   SYSTEM    1512    3912   ?    Feb 23 /usr/sbin/inetd
>   SYSTEM    2616       1   ?    Feb 23 /usr/bin/cygrunsrv
>   SYSTEM    2648    2616   ?    Feb 23 /usr/sbin/cygserver
>  winwa02    1412       1   4    Feb 23 /usr/bin/rxvt
>  winwa02    3552    1412   5    Feb 23 /usr/bin/bash
>  winwa02    3084    3552   5    Feb 23 /usr/bin/telnet
>  winwa02    3228       1   2  14:16:18 /usr/bin/rxvt
>  winwa02    3640    3228   3  14:16:19 /usr/bin/bash
>  winwa02    3176    3640   3  15:46:35 /usr/bin/telnet
>  winwa02    3016       1   6  16:06:23 /usr/bin/rxvt
>  winwa02    2504    3016   7  16:06:23 /usr/bin/bash
>  winwa02    3856       1   0  11:13:47 /usr/bin/rxvt
>  winwa02    3576    3856   1  11:13:48 /usr/bin/bash
>      400    2228       1   ?  12:30:59 /usr/bin/cygrunsrv
>      400     536    2228   ?  12:30:59 /usr/sbin/cron
>  winwa02    2188    2504   7  12:37:47 /usr/bin/ps
> 
> 
> 
> Note that other cygrunsrv processes do indeed correctly run under 
> SYSTEM.  I suspect that if my cron and its associated parent cygrunsrv

> process were running as SYSTEM, then the cron jobs would execute per 
> the crontab.  In fact, I manually ran /usr/sbin/cron as my user 
> (winwa02) and cron was indeed able to kick off the crontab jobs 
> properly.
> 
> A relevant entry in the Windows XP Application Event log appears in 
> full when /usr/sbin/cron starts as:
> 
> The description for Event ID ( 0 ) in Source ( /usr/sbin/cron ) cannot

> be found. The local computer may not have the necessary registry 
> information or message DLL files to display messages from a remote 
> computer. You may be able to use the /AUXSOURCE= flag to retrieve this

> description; see Help and Support for details. The following 
> information is part of the event: /usr/sbin/cron : PID 536 : (winwa02)

> ORPHAN (no passwd entry).
> 
> The typical command line used to install the cron service was:
> 
> cygrunsrv -I cron -p /usr/sbin/cron -a -D -e "CYGWIN=tty ntsec" -d 
> "CYGWIN cron"
> 
> My domain /etc/passwd and /etc/group files are up-to-date.
> 
> As usual the output of the relevant sections of cygcheck -svr appears
> below:
> 
> 
> Cygwin Win95/NT Configuration Diagnostics Current System Time: Tue Feb

> 24 11:08:08 2004
> 
> Windows XP Professional Ver 5.1 Build 2600 Service Pack 1
> 
> ----------snip----------
> 
> Output from C:\cygwin\bin\id.exe (nontsec)
> UID: 5120(winwa02) GID: 10513(Domain Users) 10513(Domain Users)
> 
> Output from C:\cygwin\bin\id.exe (ntsec)
> UID: 5120(winwa02) GID: 10513(Domain Users)
> 544(Administrators)           
> 545(Users)                    143344(442-SC-CRO-R)
> 106908(98-Site)               
> 10513(Domain Users)           162415(NASiteGroups)
> 169978(North American Sites)
> 
> SysDir: C:\WINDOWS\System32
> WinDir: C:\WINDOWS
> 
> CYGWIN = `tty notitle glob ntsec codepage:oem server'
> HOME = `C:\cygwin\home\winwa02'
> MAKE_MODE = `unix'
> PWD = `/home/winwa02'
> USER = `winwa02'
> 
> ----------snip----------
> 
> 
>  1083k 2004/01/31 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2004/1/30 16:32
>     Cygwin DLL version info:
>         DLL version: 1.5.7
>         DLL epoch: 19
>         DLL bad signal mask: 19005
>         DLL old termios: 5
>         DLL malloc env: 28
>         API major: 0
>         API minor: 109
>         Shared data: 3
>         DLL identifier: cygwin1
>         Mount registry: 2
>         Cygnus registry name: Cygnus Solutions
>         Cygwin registry name: Cygwin
>         Program options name: Program Options
>         Cygwin mount registry name: mounts v2
>         Cygdrive flags: cygdrive flags
>         Cygdrive prefix: cygdrive prefix
>         Cygdrive default prefix: 
>         Build date: Fri Jan 30 19:32:04 EST 2004
>         CVS tag: cr-0x9e
>         Shared id: cygwin1S3
> 
> ----------snip----------
> 
> Cygwin Package Information
> Last downloaded files to: C:\Documents and Settings\winwa02\My 
> Documents\My Downloads\cygwin Last downloaded files from:
ftp://mirrors.rcn.net/pub/sourceware/cygwin

Package                 Version            
---------- snip ----------
cron                    3.0.1-11           
crypt                   1.1-1              
ctags                   5.5-4              
cygipc                  2.03-2             
cygrunsrv               0.98-1             
---------- snip ----------

Use -h to see help about each section

Thanks,

Wayne Sheridan Winch, Jr.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/